Get price list by external ID

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.maddenanalytics.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Madden Analytics API MCP server": {
  "url": "https://docs.maddenanalytics.com/mcp"
}
Close
GET /v2/api/price-lists/{externalPriceListId}

Path parameters

  • externalPriceListId string Required

    External Price List ID

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • currency string
    • defaultPriceList boolean
    • externalId string
    • name string
  • default application/json

    All errors will return the same object with a describing code & message

    Hide response attributes Show response attributes object
    • error string
    • message string
    • statusCode integer
GET /v2/api/price-lists/{externalPriceListId}
curl \
 --request GET 'https://api.maddenanalytics.com/v2/api/price-lists/{externalPriceListId}'
Response examples (200)
{
  "currency": "USD",
  "defaultPriceList": false,
  "externalId": "RETAIL_USD",
  "name": "Retail USD"
}
Response examples (default)
{
  "error": "Error Type (if any)",
  "message": "Message describing the error",
  "statusCode": 400
}